NCRCONTROL(8)

NAME
ncrcontrol - manually configure the ncr810/825 PCI/SCSI device driver

SYNOPSIS
ncrcontrol [-M core] [-N system] [-u unit] [-v] [-v] -i
ncrcontrol [-N system] [-u unit] [-p wait]
ncrcontrol [-N system] [-u unit] [-t target] -s name=value
ncrcontrol [-M core] [-N system] [-u unit] [-t target] -d debug
ncrcontrol [-N system] [-u unit] -w -k torture

DESCRIPTION
The ncrcontrol command symbolically displays the contents of the ncr810/ncr825 pci/scsi driver control structure. There are a number of output formats, depending on the options for the information presented. It may be used to set some values, too. The first form of the command displays an overview of the connected targets. The -v requests a verbose output. Using the second form, with a wait interval specified, ncrcontrol will continuously display the information regarding data traffic on the selected scsi bus. The third form sets a configuration value for one or all targets of a selected scsi bus. It normally is not needed, if the device driver options are correctly set in kernel configuration. The forth form presents the content of the drivers control structure. By the pattern certain parts of the output can be enabled/disabled. It's only used to debug the driver. With the last form certain driver problems can be forced. THIS MAY CRASH YOUR SYSTEM. It's only used to debug the driver.

The options have the following meaning:

-d  Show the content of the drivers control structure. The pattern selects the fields, which are displayed. With -d? you can get a list of valid flags.

-i  Show the configuration state of the connected targets. With the -v option you can request a more verbose information.

-k  Force certain driver problems to check the error recovery functions. This option should only be used by the developers. With -k? you can get a list of possible tortures. This option requires the -w option to be set.

-M  Extract values associated with the name list from the specified core instead of the default /dev/kmem.

-N  Extract the name list from the specified system instead of the default /kernel When ncrcontrol is invoked with a wait interval argument, it displays a running count of statistics related to the transfers on the selected scsi bus. This display consists of the number of transfers and number of transferred bytes for the controller and for each connected target. (NOT YET COMPLETE)

-s  Set a configuration value for one or more targets. One ore more targets can be selected by the -t option. If no target is selected, then the field is set for all connect targets. (NOT YET COMPLETE)

-t  Select the target for the -s option. This option may be given more than one time.

-u  Select the controller unit. If this option is not given, then controller 0 is assumed. Most systems have only one controller.

-v  Enable verbose output for the -i option.

-w  Wizard option. Enable the usage of the -k option.

    (NOT YET COMPLETE)

SEE ALSO
scsi(4), scsi(8)

HISTORY
The ncrcontrol command was hacked for 386BSD and ported to version 1.1 of FreeBSD by Wolfgang Stanglmeier <wolf@dentaro.GUN.de>. It was ported to NetBSD by Charles M. Hannum <mycroft@gnu.ai.mit.edu> and to version 2.0 of FreeBSD by Stefan Esser <se@zpr.Uni-Koeln.DE>.

BUGS
The ncrcontrol was hacked as a debugging tool for the ncr810 driver. It should be deleted sometimes. There should be a general tool to change device driver options on the fly. The statistical data should be gathered by the generic scsi driver.